'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var embeddedWalletSolana = require('@dynamic-labs/embedded-wallet-solana');
var waasSvm = require('@dynamic-labs/waas-svm');
var Phantom = require('./Phantom/Phantom.cjs');
var fetchInjectedWalletConnectors = require('./injected/fetchInjectedWalletConnectors.cjs');
var FallbackSolanaConnector = require('./injected/FallbackSolanaConnector/FallbackSolanaConnector.cjs');
require('@wallet-standard/app');
require('../_virtual/_tslib.cjs');
require('@solana/web3.js');
require('bs58');
require('./utils/logger.cjs');

const SolanaWalletConnectors = (
// eslint-disable-next-line @typescript-eslint/no-explicit-any
props) => [
    ...fetchInjectedWalletConnectors.injectedWalletOverrides,
    ...fetchInjectedWalletConnectors.fetchInjectedWalletConnectors(props),
    ...embeddedWalletSolana.TurnkeySolanaWalletConnectors(props),
    ...waasSvm.DynamicWaasSVMConnectors(),
    Phantom.Phantom,
    FallbackSolanaConnector.FallbackSolanaConnector,
];

exports.SolanaWalletConnectors = SolanaWalletConnectors;
