'use client'
import { TurnkeySolanaWalletConnectors } from '@dynamic-labs/embedded-wallet-solana';
import { DynamicWaasSVMConnectors } from '@dynamic-labs/waas-svm';
import { Phantom } from './Phantom/Phantom.js';
import { injectedWalletOverrides, fetchInjectedWalletConnectors } from './injected/fetchInjectedWalletConnectors.js';
import { FallbackSolanaConnector } from './injected/FallbackSolanaConnector/FallbackSolanaConnector.js';
import '@wallet-standard/app';
import '../_virtual/_tslib.js';
import '@solana/web3.js';
import 'bs58';
import './utils/logger.js';

const SolanaWalletConnectors = (
// eslint-disable-next-line @typescript-eslint/no-explicit-any
props) => [
    ...injectedWalletOverrides,
    ...fetchInjectedWalletConnectors(props),
    ...TurnkeySolanaWalletConnectors(props),
    ...DynamicWaasSVMConnectors(),
    Phantom,
    FallbackSolanaConnector,
];

export { SolanaWalletConnectors };
