import { SolanaWalletConnector, type ISolana } from '@dynamic-labs/solana-core';
import { IUITransaction } from '@dynamic-labs/types';
import { ISendBalanceWalletConnector } from '@dynamic-labs/wallet-connector-core';
import { SolProviderHelper } from '../../SolProviderHelper';
export declare abstract class InjectedWalletBase extends SolanaWalletConnector implements ISendBalanceWalletConnector {
    _solProviderHelper: SolProviderHelper | undefined;
    get solProviderHelper(): SolProviderHelper | undefined;
    findProvider(): ISolana | undefined;
    setupEventListeners(): void;
    teardownEventListeners(): void;
    connect(): Promise<void>;
    getSigner<T = ISolana>(): Promise<T | undefined>;
    createUiTransaction(from: string): Promise<IUITransaction>;
    isInstalledOnBrowser(): boolean;
    getAddress(): Promise<string | undefined>;
    signMessage(messageToSign: string): Promise<string | undefined>;
    getConnectedAccounts(): Promise<string[]>;
}
